# PSF-LoginServer - master - net.psforever.services.vehicle.VehicleAction.VehicleState
PSF - LoginServer - master - net.psforever.services.vehicle.VehicleAction.VehicleState
Keywords: PSF LoginServer master net.psforever.services.vehicle.VehicleAction.VehicleState

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package vehicle
  Definition Classes
    services
-  object VehicleAction
  Definition Classes
    vehicle
- Action
- ChangeLoadout
- ChildObjectState
- DeployRequest
- DismountVehicle
- EquipmentInSlot
- InventoryState
- InventoryState2
- KickCargo
- KickPassenger
- LoadVehicle
- MountVehicle
- ObjectDelete
- Ownership
- PlanetsideAttribute
- SeatPermissions
- SendResponse
- StowEquipment
- TransferPassengerChannel
- UnloadVehicle
- UnstowEquipment
- UpdateAmsSpawnPoint
- VehicleState

c

net.psforever.services.vehicle.VehicleAction

# VehicleState

###

#### final case class VehicleState(player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID, unk1: Int, pos: Vector3, ang: Vector3, vel: Option[Vector3], unk2: Option[Int], unk3: Int, unk4: Int, wheel_direction: Int, unk5: Boolean, unk6: Boolean) extends Action with Product with Serializable

Source
  VehicleServiceMessage.scala

Linear Supertypes
Serializable, Product, Equals, Action, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VehicleState
2. Serializable
3. Product
4. Equals
5. Action
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new VehicleState(player_guid: PlanetSideGUID, vehicle_guid: PlanetSideGUID, unk1: Int, pos: Vector3, ang: Vector3, vel: Option[Vector3], unk2: Option[Int], unk3: Int, unk4: Int, wheel_direction: Int, unk5: Boolean, unk6: Boolean)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val ang: Vector3
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val player_guid: PlanetSideGUID
15.  val pos: Vector3
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  val unk1: Int
19.  val unk2: Option[Int]
20.  val unk3: Int
21.  val unk4: Int
22.  val unk5: Boolean
23.  val unk6: Boolean
24.  val vehicle_guid: PlanetSideGUID
25.  val vel: Option[Vector3]
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  val wheel_direction: Int

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Action

### Inherited from AnyRef

### Inherited from Any

### Ungrouped